### Type parameters

- #### T

### Hierarchy

- SortedList

### Implements

- Iterable<T>

## Index

### Constructors

- constructor

### Methods

- __@iterator
- add
- delete
- isEmpty
- size

## Constructors

### constructor

- new SortedList(comparator: Comparator<T>): SortedList

- - Defined in sortedList.ts:104

  #### Parameters

  - ##### comparator: Comparator<T>

  #### Returns SortedList

## Methods

### __@iterator

- __@iterator(): ListIterator<T>

- - Defined in sortedList.ts:109

  #### Returns ListIterator<T>

### add

- add(newItem: T): boolean

- - Defined in sortedList.ts:112

  #### Parameters

  - ##### newItem: T

  #### Returns boolean

### delete

- delete(item: T): boolean

- - Defined in sortedList.ts:160

  #### Parameters

  - ##### item: T

  #### Returns boolean

### isEmpty

- isEmpty(): boolean

- - Defined in sortedList.ts:187

  #### Returns boolean

### size

- size(): number

- - Defined in sortedList.ts:190

  #### Returns number

Generated using TypeDoc